Bug 302898 - Esc no longer leaves View mode back to Browse mode
Summary: Esc no longer leaves View mode back to Browse mode
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 2.9.0
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: 2.10
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-02 13:02 UTC by Darin McBride
Modified: 2012-12-06 18:32 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Darin McBride 2012-07-02 13:02:02 UTC
Summary about says it.  Prior to kde 4.8.95, Esc would leave View mode back to Browse mode.  It no longer does.

Reproducible: Always
Comment 1 Aurelien Gateau 2012-07-13 15:09:21 UTC
Starting with Gwenview 2.9, you should use Enter to toggle between Browse and View.

In Gwenview 2.9, fullscreen has been separated from browse and view modes. This changes the way shortcuts behave. Here is how it works now:

Normal -> Fullscreen: F11
Fullscreen -> Normal: F11 or Escape

Browse <-> View: Enter
Comment 2 Aurelien Gateau 2012-07-13 17:36:42 UTC
thinking about it some more, I changed my mind. Reopening.
Comment 3 Aurelien Gateau 2012-07-13 20:45:16 UTC
Unfortunately it is too late to fix this in 2.9 as it would break string freeze. Will have to wait for 2.10.
Comment 4 Frank Steinmetzger 2012-08-13 00:18:36 UTC
Thanks for changing your mind, I appreciate it. :-)
Comment 5 Aurelien Gateau 2012-11-15 08:58:52 UTC
Git commit 29385ea9d217f6dad77bf36e4d464446ddc32258 by Aurélien Gâteau.
Committed on 15/11/2012 at 09:58.
Pushed by gateau into branch 'master'.

Change meaning of Escape key: goes back to Browse mode

M  +1    -1    app/mainwindow.cpp
M  +2    -2    doc/index.docbook

http://commits.kde.org/gwenview/29385ea9d217f6dad77bf36e4d464446ddc32258